Package org.apache.lucene.facet.taxonomy.writercache

## Class NameHashIntCacheLRU

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.writercache.NameHashIntCacheLRU

-     public class NameHashIntCacheLRU
      extends Object

  An LRU cache of mapping from name to int. Used to cache Ordinals of category paths. It uses as key, hash of the path instead of the path. This way the cache takes less RAM, but correctness depends on assuming no collisions.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaxSize()` | Maximum number of cache entries before eviction.
    `int` | `getSize()` | Number of entries currently in the cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMaxSize

          public int getMaxSize()

      Maximum number of cache entries before eviction.

    - #### getSize

          public int getSize()

      Number of entries currently in the cache.